///////////////////////////////////////////////////////////////////////////////
// BLUEBOX DemoDlg.h : header file

#pragma once


///////////////////////////////////////////////////////////////////////////////
// CBLUEBOXDemoDlg dialog

class CBLUEBOXDemoDlg : public CDialog
{
// Construction
public:
	CBLUEBOXDemoDlg(CWnd* pParent = NULL);

// Dialog Data
	enum { IDD = IDD_BLUEBOXDEMO_DIALOG };
	CComboBox m_Interface;
	CStatic m_Settings;
	CButton m_Connect;
	CButton m_Disconnect;
	CEdit m_Log;
	CButton m_DataRequest;
	CButton m_ReadIdQ5;
	CButton m_ReadIdHITAGS;
	CButton m_InventoryISO15693;
	CButton m_InventoryISO14443A;
	CButton m_InventoryISO18K6C;

private:
	char HexToAscii (char ch);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedConnectButton();
	afx_msg void OnBnClickedDisconnectButton();
	afx_msg void OnBnClickedDataRequestButton();
	afx_msg void OnBnClickedReadIdQ5Button();
	afx_msg void OnBnClickedReadIdHitagSButton();
	afx_msg void OnBnClickedInventoryIso15693Button();
	afx_msg void OnBnClickedInventoryIso14443aButton();
	afx_msg void OnBnClickedInventoryIso18k6cButton();
};
